Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class UniversalString.UniversalConverter

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.UniversalString.UniversalConverter

private static class UniversalString.UniversalConverter
extends java.lang.Object
implements CharConverter

A class for converting between Unicode and UCS4.

Field Summary
`static int` | `HALF_MASK`
`static int` | `HALF_SHIFT`
`static int` | `MAX_UNICODE`
`static int` | `MAX_UTF16`
`static char` | `REPLACEMENT_CHAR`
`static int` | `UTF16_BASE`
`static int` | `UTF16_HIGH_END`
`static int` | `UTF16_HIGH_START`
`static int` | `UTF16_LOW_END`
`static int` | `UTF16_LOW_START`

Constructor Summary
`(package private)` | `UniversalString.UniversalConverter()`

Method Summary
`char[]` | `byteToChar(byte[] bytes, int offset, int len)` Turns big-endian UCS4 characters into Unicode Java characters
`byte[]` | `charToByte(char[] chars, int offset, int len)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### MAX_UNICODE

    public static final int MAX_UNICODE

### MAX_UTF16

    public static final int MAX_UTF16

### REPLACEMENT_CHAR

    public static final char REPLACEMENT_CHAR

### UTF16_BASE

    public static final int UTF16_BASE

### HALF_SHIFT

    public static final int HALF_SHIFT

### HALF_MASK

    public static final int HALF_MASK

### UTF16_HIGH_START

    public static final int UTF16_HIGH_START

### UTF16_HIGH_END

    public static final int UTF16_HIGH_END

### UTF16_LOW_START

    public static final int UTF16_LOW_START

### UTF16_LOW_END

    public static final int UTF16_LOW_END

Constructor Detail

### UniversalString.UniversalConverter

    UniversalString.UniversalConverter()

Method Detail

### byteToChar

    public char[] byteToChar(byte[] bytes,
                             int offset,
                             int len)
                      throws java.io.CharConversionException

  Turns big-endian UCS4 characters into Unicode Java characters
  Specified by:
    byteToChar in interface CharConverter

### charToByte

    public byte[] charToByte(char[] chars,
                             int offset,
                             int len)
                      throws java.io.CharConversionException

  Specified by:
    charToByte in interface CharConverter

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD